## ros-melodic-geometric-shapes 0.6.3

=== test/CMakeLists.txt ===
file(TO_NATIVE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/resources" TEST_RESOURCES_DIR)
if(WIN32)
    # Correct directory separator for Windows
    string(REPLACE "\\" "\\\\" TEST_RESOURCES_DIR "${TEST_RESOURCES_DIR}")
endif()
configure_file(resources/config.h.in "${CMAKE_CURRENT_BINARY_DIR}/resources/config.h")
include_directories(${CMAKE_CURRENT_BINARY_DIR})

catkin_add_gtest(test_basics test_basics.cpp)
# target_link_libraries(test_basics ) # only depends on Eigen, which is header-only

catkin_add_gtest(test_point_inclusion test_point_inclusion.cpp)
target_link_libraries(test_point_inclusion ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

catkin_add_gtest(test_bounding_sphere test_bounding_sphere.cpp)
target_link_libraries(test_bounding_sphere ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

catkin_add_gtest(test_bounding_box test_bounding_box.cpp)
target_link_libraries(test_bounding_box ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

catkin_add_gtest(test_bounding_cylinder test_bounding_cylinder.cpp)
target_link_libraries(test_bounding_cylinder ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

catkin_add_gtest(test_create_mesh test_create_mesh.cpp)
target_link_libraries(test_create_mesh ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

catkin_add_gtest(test_loaded_meshes test_loaded_meshes.cpp)
target_link_libraries(test_loaded_meshes ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

catkin_add_gtest(test_shapes test_shapes.cpp)
target_link_libraries(test_shapes ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

catkin_add_gtest(test_ray_intersection test_ray_intersection.cpp)
target_link_libraries(test_ray_intersection ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

=== debian/changelog ===
ros-melodic-geometric-shapes (0.6.3-1stretch) stretch; urgency=high

  * [maint]   Provide checkIsometry() helper function (#144 <https://github.com/ros-planning/geometric_shapes/issues/144>)
  * [maint]   Remove dynamic casts (#143 <https://github.com/ros-planning/geometric_shapes/issues/143>)
  * [feature] Added createEmptyBodyFromShapeType() (#137 <https://github.com/ros-planning/geometric_shapes/issues/137>)
    This allows more efficient body construction when scale, padding or pose should also be set during the construction.
  * Contributors: Martin Pecka, Michael Görner

 -- Dave Coleman <dave@dav.ee>  Sun, 24 May 2020 22:00:00 -0000

ros-melodic-geometric-shapes (0.6.2-1stretch) stretch; urgency=high

  * [maint]   clang-tidy fixes in headers (#139 <https://github.com/ros-planning/geometric_shapes/issues/139>)
  * [fix]     Various fixes + performance improvements (#109 <https://github.com/ros-planning/geometric_shapes/issues/109>, #126 <https://github.com/ros-planning/geometric_shapes/issues/126>, #107 <https://github.com/ros-planning/geometric_shapes/issues/107>, #108 <https://github.com/ros-planning/geometric_shapes/issues/108>)
    * Use Eigen::Isometry3d::linear() instead of rotation()
    * Normalize the direction vector passed to Body::intersectsRay() (#115 <https://github.com/ros-planning/geometric_shapes/issues/115>)
    * Improved test coverage
  * [feature] Added support for non-uniform scaling and padding of shapes. (#103 <https://github.com/ros-planning/geometric_shapes/issues/103>)
  * [maint]   Made bodies::samplePointInside() const. (#133 <https://github.com/ros-planning/geometric_shapes/issues/133>)
  * [fix]     Throw runtime exception when a shape or body should have a negative dimension. (#106 <https://github.com/ros-planning/geometric_shapes/issues/106>)
  * [maint]   Prefer std::make_shared (#116 <https://github.com/ros-planning/geometric_shapes/issues/116>)
  * [maint]   clang-tidy fixes (#114 <https://github.com/ros-planning/geometric_shapes/issues/114>)
  * [fix]     Use covariant returns for clone() (#102 <https://github.com/ros-planning/geometric_shapes/issues/102>)
  * [feature] Added bodies::Body::computeBoundingBox (aligned box version). (#104 <https://github.com/ros-planning/geometric_shapes/issues/104>)
  * [maint]   Windows compatibility: fix ASSIMP libraries path (#101 <https://github.com/ros-planning/geometric_shapes/issues/101>)
  * [fix]     Body::containsPoint(): always include surface points (#97 <https://github.com/ros-planning/geometric_shapes/issues/97>)
  * Contributors: Martin Pecka, Alejandro Hernández Cordero, Bryce Willey, Michael Görner, Mike Lautman, Robert Haschke, RoboticsYY, Sean Yen, Tyler Weaver

 -- Dave Coleman <dave@dav.ee>  Fri, 01 May 2020 22:00:00 -0000

ros-melodic-geometric-shapes (0.6.1-1stretch) stretch; urgency=high

  * Limit minimum number of cylinder vertices (on circumference) to 6 (#92 <https://github.com/ros-planning/geometric_shapes/issues/92>)
  * Eigen::Affine3d -> Eigen::Isometry3d (#88 <https://github.com/ros-planning/geometric_shapes/issues/88>)
  * Contributors: Robert Haschke, eisoku9618

 -- Dave Coleman <dave@dav.ee>  Sat, 08 Dec 2018 23:00:00 -0000

ros-melodic-geometric-shapes (0.6.0-1stretch) stretch; urgency=high

  * Add method getPlanes and use double precision for planes (#82 <https://github.com/ros-planning/geometric_shapes/issues/82>)
  * Contributors: Bence Magyar

 -- Dave Coleman <dave@dav.ee>  Sun, 13 May 2018 22:00:00 -0000

ros-melodic-geometric-shapes (0.5.4-1stretch) stretch; urgency=high

  * gracefully handle negative cylinder height: #64 <https://github.com/ros-planning/geometric_shapes/issues/64>, #80 <https://github.com/ros-planning/geometric_shapes/issues/80>
  * clang-formatting of whole repo: #79 <https://github.com/ros-planning/geometric_shapes/issues/79>
  * operator<< for ShapeType: #80 <https://github.com/ros-planning/geometric_shapes/issues/80>
  * adaption to new CONSOLE_BRIDGE_logXXX API: #75 <https://github.com/ros-planning/geometric_shapes/issues/75>, #72 <https://github.com/ros-planning/geometric_shapes/issues/72>
  * [fix] box-ray intersection: #73 <https://github.com/ros-planning/geometric_shapes/issues/73>
  * Contributors: Dave Coleman, Leroy Rügemer, Malcolm Mielle, Mike Purvis, Robert Haschke, Michael Goerner

 -- Dave Coleman <dave@dav.ee>  Thu, 05 Apr 2018 22:00:00 -0000

ros-melodic-geometric-shapes (0.5.3-1stretch) stretch; urgency=high

  * [enhance] Add warning about common Assimp bug (#63 <https://github.com/ros-planning/geometric_shapes/issues/63>)
  * [maintenance] Update maintainers (#66 <https://github.com/ros-planning/geometric_shapes/issues/66>)
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@dav.ee>  Sat, 25 Nov 2017 23:00:00 -0000

ros-melodic-geometric-shapes (0.5.2-1stretch) stretch; urgency=high

  * [fix] mesh with too many vertices (#39 <https://github.com/ros-planning/geometric_shapes/issues/39>) (#60 <https://github.com/ros-planning/geometric_shapes/issues/60>)
  * [fix] gcc6 build error (#56 <https://github.com/ros-planning/geometric_shapes/issues/56>)
  * [fix] Clear root transformation on imported Collada meshes. #52 <https://github.com/ros-planning/geometric_shapes/issues/52>
  * [improve] relax mesh containment test (#58 <https://github.com/ros-planning/geometric_shapes/issues/58>)
  * [maintenance] Switch boost::shared_ptr to std::shared_ptr. #57 <https://github.com/ros-planning/geometric_shapes/pull/57>
  * Contributors: Dave Coleman, Isaac I.Y. Saito, Lukas Bulwahn, Maarten de Vries, Michael Goerner

 -- Dave Coleman <dave@dav.ee>  Wed, 19 Oct 2016 22:00:00 -0000

ros-melodic-geometric-shapes (0.5.1-1stretch) stretch; urgency=high

  * add c++11 safe-guards to the respective headers (#51 <https://github.com/ros-planning/geometric_shapes/issues/51>)
    This is, to be polite and point problems that might arise it out to users.


=== debian/control ===
Source: ros-melodic-geometric-shapes
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@dav.ee>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libboost-all-dev, libconsole-bridge-dev, libeigen3-dev, libqhull-dev, pkg-config, ros-melodic-catkin (>= 0.5.68), ros-melodic-eigen-stl-containers, ros-melodic-octomap, ros-melodic-random-numbers, ros-melodic-resource-retriever, ros-melodic-rosunit, ros-melodic-shape-msgs, ros-melodic-visualization-msgs
Homepage: http://ros.org/wiki/geometric_shapes
Standards-Version: 3.9.2

Package: ros-melodic-geometric-shapes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libboost-all-dev, libconsole-bridge-dev, libeigen3-dev, libqhull-dev, ros-melodic-eigen-stl-containers, ros-melodic-octomap, ros-melodic-random-numbers, ros-melodic-resource-retriever, ros-melodic-shape-msgs, ros-melodic-visualization-msgs
Description: This package contains generic definitions of geometric shapes and bodies.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-geometric-shapes//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-geometric-shapes 0.6.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(geometric_shapes)

add_compile_options(-std=c++11)

# Set compile options
set(PROJECT_COMPILE_OPTIONS
  -Wall
  -Wextra
  -Wwrite-strings
  -Wunreachable-code
  -Wpointer-arith
  -Wredundant-decls
  -Wno-unused-parameter
)

list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/")

if (NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  message("${PROJECT_NAME}: You did not request a specific build type: Choosing 'Release' for maximum performance")
  set(CMAKE_BUILD_TYPE Release)
endif()

# used for finding Assimp and FCL
find_package(PkgConfig REQUIRED)

# TODO(henningkayser): Remove policy fix when assimp 5.1 is available
# Suppress policy warning in assimp (https://github.com/assimp/assimp/pull/2722)
set(CMAKE_POLICY_DEFAULT_CMP0012 NEW)
find_package(ASSIMP QUIET)
if(NOT ASSIMP_FOUND)
  # assimp is required, so REQUIRE the second attempt
  pkg_check_modules(ASSIMP_PC REQUIRED assimp)
  set(ASSIMP_INCLUDE_DIRS ${ASSIMP_PC_INCLUDE_DIRS})
endif()

# find *absolute* paths to ASSIMP_LIBRARIES
# Both, pkg-config and assimp's cmake-config don't provide an absolute library path.
# For, pkg-config the path is in ASSIMP_PC_LIBRARY_DIRS, for cmake in ASSIMP_LIBRARY_DIRS.
find_library(ASSIMP_ABS_LIBRARIES NAMES ${ASSIMP_LIBRARIES} assimp HINTS ${ASSIMP_LIBRARY_DIRS} ${ASSIMP_PC_LIBRARY_DIRS})
set(ASSIMP_LIBRARIES "${ASSIMP_ABS_LIBRARIES}")

find_package(Boost REQUIRED system filesystem)

find_package(console_bridge REQUIRED)

find_package(Eigen3 REQUIRED)

find_package(octomap REQUIRED)

pkg_check_modules(LIBFCL_PC REQUIRED fcl)
# find *absolute* paths to LIBFCL_* paths
find_path(LIBFCL_INCLUDE_DIRS fcl/config.h HINTS ${LIBFCL_PC_INCLUDE_DIR} ${LIBFCL_PC_INCLUDE_DIRS})
set(LIBFCL_LIBRARIES)
foreach(_lib ${LIBFCL_PC_LIBRARIES})
  find_library(_lib_${_lib} ${_lib} HINTS ${LIBFCL_PC_LIBRARY_DIRS})
  list(APPEND LIBFCL_LIBRARIES ${_lib_${_lib}})
endforeach()

find_package(catkin REQUIRED COMPONENTS
  eigen_stl_containers
  random_numbers
  resource_retriever
  shape_msgs
  visualization_msgs
)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES ${PROJECT_NAME} ${OCTOMAP_LIBRARIES}
  CATKIN_DEPENDS
    eigen_stl_containers
    random_numbers
    shape_msgs
    visualization_msgs
  DEPENDS
    EIGEN3
    OCTOMAP
    console_bridge
  )

find_package(Qhull REQUIRED)
if (HAVE_QHULL_2011)
  add_definitions(-DGEOMETRIC_SHAPES_HAVE_QHULL_2011)
endif()

include_directories(include)
include_directories(SYSTEM
  ${EIGEN3_INCLUDE_DIR} ${Boost_INCLUDE_DIR} ${ASSIMP_INCLUDE_DIRS} ${OCTOMAP_INCLUDE_DIRS}
  ${QHULL_INCLUDE_DIRS} ${LIBFCL_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS})

add_library(${PROJECT_NAME}
  src/aabb.cpp
  src/bodies.cpp
  src/body_operations.cpp
  src/mesh_operations.cpp
  src/obb.cpp
  src/shape_extents.cpp
  src/shape_operations.cpp
  src/shape_to_marker.cpp
  src/shapes.cpp
)
target_compile_options(${PROJECT_NAME} PRIVATE ${PROJECT_COMPILE_OPTIONS})

target_link_libraries(${PROJECT_NAME} ${ASSIMP_LIBRARIES} ${QHULL_LIBRARIES} ${catkin_LIBRARIES} ${console_bridge_LIBRARIES} ${Boost_LIBRARIES} ${LIBFCL_LIBRARIES})


if(CATKIN_ENABLE_TESTING)
  # Unit tests
  add_subdirectory(test)
endif()

install(TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-melodic-geometric-shapes (0.6.6-1bionic) bionic; urgency=high

  * Limit indefinite growth of OBBs during merging (#233 <https://github.com/ros-planning/geometric_shapes/issues/233>)
  * Correctly initialize OBB with default constructor
  * Contributors: Martin Pecka

 -- Tyler Weaver <tyler@picknik.ai>  Tue, 11 Apr 2023 22:00:00 -0000

ros-melodic-geometric-shapes (0.6.5-1bionic) bionic; urgency=high

  * Add bodies::Body::computeBoundingBox (oriented box version) (#210 <https://github.com/ros-planning/geometric_shapes/issues/210>)This adds the dependency on FCL, provide support for FCL 0.6 if available
  * Add body operations constructShapeFromBody() and constructMarkerFromBody() (#209 <https://github.com/ros-planning/geometric_shapes/issues/209>)
  * Eigen < 3.3.0 needs explicit cast (#224 <https://github.com/ros-planning/geometric_shapes/issues/224>)
  * Contributors: Kei Okada, Martin Pecka, Robert Haschke

 -- Tyler Weaver <tyler@picknik.ai>  Thu, 30 Mar 2023 22:00:00 -0000

ros-melodic-geometric-shapes (0.6.4-1bionic) bionic; urgency=high

  * [fix]   Fix memory leak (#168 <https://github.com/ros-planning/geometric_shapes/issues/168>)
  * [fix]   Use proper Eigen alignment for make_shared calls (#187 <https://github.com/ros-planning/geometric_shapes/issues/187>)
  * [maint] Migrate from Travis to GitHub actions (#172 <https://github.com/ros-planning/geometric_shapes/issues/172>)
  * Contributors: Dave Coleman, Martin Pecka, Robert Haschke, Tyler Weaver

 -- Tyler Weaver <tyler@picknik.ai>  Tue, 18 May 2021 22:00:00 -0000

ros-melodic-geometric-shapes (0.6.3-1bionic) bionic; urgency=high

  * [maint]   Provide checkIsometry() helper function (#144 <https://github.com/ros-planning/geometric_shapes/issues/144>)
  * [maint]   Remove dynamic casts (#143 <https://github.com/ros-planning/geometric_shapes/issues/143>)
  * [feature] Added createEmptyBodyFromShapeType() (#137 <https://github.com/ros-planning/geometric_shapes/issues/137>)
    This allows more efficient body construction when scale, padding or pose should also be set during the construction.
  * Contributors: Martin Pecka, Michael Görner

 -- Dave Coleman <dave@dav.ee>  Sun, 24 May 2020 22:00:00 -0000

ros-melodic-geometric-shapes (0.6.2-1bionic) bionic; urgency=high

  * [maint]   clang-tidy fixes in headers (#139 <https://github.com/ros-planning/geometric_shapes/issues/139>)
  * [fix]     Various fixes + performance improvements (#109 <https://github.com/ros-planning/geometric_shapes/issues/109>, #126 <https://github.com/ros-planning/geometric_shapes/issues/126>, #107 <https://github.com/ros-planning/geometric_shapes/issues/107>, #108 <https://github.com/ros-planning/geometric_shapes/issues/108>)
    * Use Eigen::Isometry3d::linear() instead of rotation()
    * Normalize the direction vector passed to Body::intersectsRay() (#115 <https://github.com/ros-planning/geometric_shapes/issues/115>)
    * Improved test coverage
  * [feature] Added support for non-uniform scaling and padding of shapes. (#103 <https://github.com/ros-planning/geometric_shapes/issues/103>)
  * [maint]   Made bodies::samplePointInside() const. (#133 <https://github.com/ros-planning/geometric_shapes/issues/133>)
  * [fix]     Throw runtime exception when a shape or body should have a negative dimension. (#106 <https://github.com/ros-planning/geometric_shapes/issues/106>)
  * [maint]   Prefer std::make_shared (#116 <https://github.com/ros-planning/geometric_shapes/issues/116>)
  * [maint]   clang-tidy fixes (#114 <https://github.com/ros-planning/geometric_shapes/issues/114>)
  * [fix]     Use covariant returns for clone() (#102 <https://github.com/ros-planning/geometric_shapes/issues/102>)
  * [feature] Added bodies::Body::computeBoundingBox (aligned box version). (#104 <https://github.com/ros-planning/geometric_shapes/issues/104>)
  * [maint]   Windows compatibility: fix ASSIMP libraries path (#101 <https://github.com/ros-planning/geometric_shapes/issues/101>)
  * [fix]     Body::containsPoint(): always include surface points (#97 <https://github.com/ros-planning/geometric_shapes/issues/97>)
  * Contributors: Martin Pecka, Alejandro Hernández Cordero, Bryce Willey, Michael Görner, Mike Lautman, Robert Haschke, RoboticsYY, Sean Yen, Tyler Weaver

 -- Dave Coleman <dave@dav.ee>  Fri, 01 May 2020 22:00:00 -0000

ros-melodic-geometric-shapes (0.6.1-1bionic) bionic; urgency=high

  * Limit minimum number of cylinder vertices (on circumference) to 6 (#92 <https://github.com/ros-planning/geometric_shapes/issues/92>)
  * Eigen::Affine3d -> Eigen::Isometry3d (#88 <https://github.com/ros-planning/geometric_shapes/issues/88>)
  * Contributors: Robert Haschke, eisoku9618

 -- Dave Coleman <dave@dav.ee>  Sat, 08 Dec 2018 23:00:00 -0000

ros-melodic-geometric-shapes (0.6.0-1bionic) bionic; urgency=high

  * Add method getPlanes and use double precision for planes (#82 <https://github.com/ros-planning/geometric_shapes/issues/82>)
  * Contributors: Bence Magyar

 -- Dave Coleman <dave@dav.ee>  Sun, 13 May 2018 22:00:00 -0000

ros-melodic-geometric-shapes (0.5.4-1bionic) bionic; urgency=high

  * gracefully handle negative cylinder height: #64 <https://github.com/ros-planning/geometric_shapes/issues/64>, #80 <https://github.com/ros-planning/geometric_shapes/issues/80>
  * clang-formatting of whole repo: #79 <https://github.com/ros-planning/geometric_shapes/issues/79>
  * operator<< for ShapeType: #80 <https://github.com/ros-planning/geometric_shapes/issues/80>
  * adaption to new CONSOLE_BRIDGE_logXXX API: #75 <https://github.com/ros-planning/geometric_shapes/issues/75>, #72 <https://github.com/ros-planning/geometric_shapes/issues/72>
  * [fix] box-ray intersection: #73 <https://github.com/ros-planning/geometric_shapes/issues/73>
  * Contributors: Dave Coleman, Leroy Rügemer, Malcolm Mielle, Mike Purvis, Robert Haschke, Michael Goerner

 -- Dave Coleman <dave@dav.ee>  Thu, 05 Apr 2018 22:00:00 -0000

ros-melodic-geometric-shapes (0.5.3-1bionic) bionic; urgency=high



=== debian/control ===
Source: ros-melodic-geometric-shapes
Section: misc
Priority: optional
Maintainer: Tyler Weaver <tyler@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libboost-all-dev, libconsole-bridge-dev, libeigen3-dev, libfcl-dev, libqhull-dev, pkg-config, ros-melodic-catkin (>= 0.5.68), ros-melodic-eigen-stl-containers, ros-melodic-octomap, ros-melodic-random-numbers, ros-melodic-resource-retriever, ros-melodic-rosunit <!nocheck>, ros-melodic-shape-msgs, ros-melodic-visualization-msgs
Homepage: http://ros.org/wiki/geometric_shapes
Standards-Version: 3.9.2

Package: ros-melodic-geometric-shapes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libboost-all-dev, libconsole-bridge-dev, libeigen3-dev, libfcl-dev, libqhull-dev, ros-melodic-eigen-stl-containers, ros-melodic-octomap, ros-melodic-random-numbers, ros-melodic-resource-retriever, ros-melodic-shape-msgs, ros-melodic-visualization-msgs
Description: Generic definitions of geometric shapes and bodies.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
